import { TapStreamReader, TapStreamWriter } from '@iotize/tap/client/impl';
import { DBIOTConverterInterface } from '../compressor-interface';
export declare class TLVMappedFloat64Compressor implements DBIOTConverterInterface<number> {
    encode(input: number, stream?: TapStreamWriter): Uint8Array;
    decode(streamOrBuffer: Uint8Array | TapStreamReader): number;
}
